=begin
  $Author: moriq $
  $Date: 2003-07-23 10:51:28 +0900 (豌ｴ, 23 7 2003) $

  This program is free software.
  You can distribute/modify this program under
  the terms of the Ruby Distribute License.

=end

#
# sinleton.rbの存在に気付かずに
# 車輪の再発明してるし＜駄目過ぎ
# 

require 'simple-i18n'

module ApIRB

  def self.Message
    ApIRB::Message.instance
  end
  
  class Message < SimpleI18N::Message

    private
    def self.get_message(lang, windows)
      msg = {}
      
      case lang 
      when SimpleI18N::LANG_JA
	msg['ap-irb'] = 'Apollo IRB'
 
	msg['menu_file'] = 'ファイル(&F)'
	msg['menu_save'] = '上書き保存(&S)'
	msg['menu_save_as'] = '名前を付けて保存(&A)'
	msg['menu_close'] = '閉じる(&C)'

	msg['menu_edit'] = '編集(&E)'
	msg['menu_undo'] = '元に戻す(&U)'
	msg['menu_redo'] = 'やり直し(&R)'
	msg['menu_cut'] = '切り取り(&T)'
	msg['menu_copy'] = 'コピー(&C)'
	msg['menu_paste'] = '貼り付け(&P)'
	msg['menu_delete'] = '削除(&L)'
	msg['menu_select_all'] = 'すべてを選択(&S)'

	msg['menu_input_helper'] = '入力支援(&I)'
	msg['menu_completion'] = '補完(&C)'
	msg['menu_prev_history'] = '一つ前の入力(&P)'
	msg['menu_next_history'] = '一つ後の入力(&N)'

	msg['menu_help'] = 'ヘルプ(&H)'
	msg['menu_about'] = 'このソフトについて(&A)'

	msg['file_save_dlg_filter'] = 'テキストファイル(*.txt)|*.txt|すべてのファイル(*.*)|*|'
	msg['save_confirm'] = 'ファイルはすでに存在します。保存しますか?'
	msg['save_error'] = 'ファイルの保存中にエラーが起きました。'
	msg['has_no_write_right'] = 'ファイルを書きこむ権限がありません。'
      else 
	msg['ap-irb'] = 'Apollo IRB'
		
	msg['menu_file'] = '&File'
	msg['menu_load_lib'] = '&Save'
	msg['menu_load_script'] = 'Save &As'
	msg['menu_close'] = '&Close'

	msg['menu_edit'] = '&Edit'
	msg['menu_undo'] = '&Undo'
	msg['menu_redo'] = '&Redo'
	msg['menu_cut'] = 'Cu&t'
	msg['menu_copy'] = '&Copy'
	msg['menu_paste'] = '&Paste'
	msg['menu_delete'] = '&Delete'
	msg['menu_select_all'] = 'Select A&LL'

	msg['menu_input_helper'] = '&Input Helper'
	msg['menu_completion'] = '&Completion'
	msg['menu_prev_history'] = '&Previous Input'
	msg['menu_next_history'] = '&Next input'

	msg['menu_help'] = '&Help'
	msg['menu_about'] = '&About'

	msg['file_save_dlg_filter'] = 'Text File(*.txt)|*.txt|Any File(*.*)|*|'
	msg['save_confirm'] = 'File already exists. Save?'
	msg['save_error'] = 'Error occured while File Save.'
	msg['has_no_write_right'] = 'Has no Right of File Save.'
      end
      msg
    end

    # シングレトンパターンのインスタンスとして使う
    # 実際のメッセージを挿入する
    if (@msg.nil?) or (@msg.size == 0)
      @msg = self.get_message(SimpleI18N::LANG, SimpleI18N::WINDOWS)
    end

  end

end

